Get incident policy for a monitor
curl --request GET \
--url https://api.devhelm.io/api/v1/monitors/{monitorId}/policy \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devhelm.io/api/v1/monitors/{monitorId}/policy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devhelm.io/api/v1/monitors/{monitorId}/policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerRules": [
{
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123
}
],
"confirmation": {
"type": "multi_region",
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorRegionCount": 123,
"checkFrequencySeconds": 123
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerRules": [
{
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123
}
],
"confirmation": {
"type": "multi_region",
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorRegionCount": 123,
"checkFrequencySeconds": 123
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Incident Policies
Get incident policy for a monitor
Returns the trigger rules, confirmation settings, and recovery settings for the given monitor.
GET
/
api
/
v1
/
monitors
/
{monitorId}
/
policy
Get incident policy for a monitor
Authorizations
API key (dh_live_...) or Auth0 JWT token
Path Parameters
Monitor UUID
Response
Policy found
Incident detection, confirmation, and recovery policy for a monitor
Unique incident policy identifier
Monitor this policy is attached to
Array of trigger rules defining when an incident should be raised
Show child attributes
Show child attributes
Multi-region confirmation settings
Show child attributes
Show child attributes
Auto-recovery settings
Show child attributes
Show child attributes
Timestamp when the policy was created
Timestamp when the policy was last updated
Number of regions configured on the monitor (only set in internal API responses)
Monitor check frequency in seconds (only set in internal API responses)
⌘I